EDIT - bug #9504

Changing term tree title is not persisted
03/02/2021 09:21 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal Found in Version:

Description

If | create a new term tree and change the title before saving the title is reset to the default title after saving

Related issues:
Related to EDIT - feature request #10284: Allow term trees as filters for nam... Closed

Associated revisions

Revision 58bf9462 - 03/26/2021 12:38 PM - Katja Luther
ref #9504: handle changes of title

Revision f8d807a7 - 04/14/2021 03:59 PM - Katja Luther

ref #9504: fix saving label changes of newly created term trees

History

#1 - 03/10/2021 02:40 PM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Release 5.21 to Release 5.22

#2 - 03/22/2021 11:31 AM - Andreas Miiller

- Tags set to fast

Not sure if this is fast but | could imagine that it is.

#3 - 03/26/2021 12:38 PM - Katja Luther
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 0 to 50

this is fixed

#4 - 03/30/2021 01:25 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miller to Katja Luther

This still does not work

#5 - 03/30/2021 01:26 PM - Andreas Miiller

By the way, it would good to use an underscore before the default title like "_New feature tree". Also having the focus and selection in the title cache

field of the new feature tree. | don't know if this is easy to fix. If not, please open a new ticket.

#6 - 03/31/2021 09:32 AM - Katja Luther

Andreas Muller wrote:

This still does not work
| tested on nightly and it works? Did you update?
#7 - 03/31/2021 10:06 AM - Katja Luther
Andreas Miller wrote:

By the way, it would good to use an underscore before the default title like "_New feature tree". Also having the focus and selection in the title
cache field of the new feature tree. | don't know if this is easy to fix. If not, please open a new ticket.

Create a new ticket #9572

#8 - 03/31/2021 10:08 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#9 - 03/31/2021 11:18 AM - Andreas Miiller

Katja Luther wrote:
Andreas Muller wrote:

This still does not work

| tested on nightly and it works? Did you update?

Yes | did and | tried again and it does not work.
What | do:

e Open term tree editor for features in rem_conf_am

Select "New Tree" from menu

Set focus to newly created tree (item)

go to details view and change the shown title from "New feature tree" to "Test persisted” (the new title is immediately visible in the tree)
press save

wait

after a while the title in the tree is reverted to "New feature tree"

close and reopen the term tree editor => title is still "New feature tree"

Unfortunately the changeset also includes the name changing of the classes so | can't see in the code what you have done or if there was a
misunderstanding

#10 - 03/31/2021 11:19 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

#11 - 04/02/2021 08:27 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

Actually | could not find why the newly created tree can not be edited before saving. When the tree is persisted you can edit the title and it is saved. |
would put this ticket into 5.23 because with saving before editing the title there is a workaround for this problem.

#12 - 04/14/2021 12:53 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Katja Luther
Maybe we can have a look to this again, now, as there is still some time for the release. If not possible to solve before release move to next version.

#13 - 04/14/2021 04:01 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller
This should be fixed now. Please review.

#14 - 04/15/2021 12:19 PM - Andreas Miiller

- Status changed from Resolved to Closed
https://dev.e-taxonomy.eu/redmine/issues/9572

- Assignee changed from Andreas Mtiller to Katja Luther

- % Done changed from 50 to 100

works as expected now

#15 - 06/03/2021 11:26 AM - Andreas Miiller
- Tags deleted (fast)

#16 - 04/13/2023 05:26 PM - Andreas Miiller

- Related to feature request #10284: Allow term trees as filters for named area dialogues added
